﻿//
// MainPage.xaml.h
// Declaration of the MainPage class.
//

#pragma once
#include "pch.h"
#include "MainPage.g.h"

namespace DxPdfApp
{
	/// <summary>
	/// An empty page that can be used on its own or navigated to within a Frame.
	/// </summary>
	public ref class MainPage sealed
	{
	public:
		MainPage();

	protected:
		virtual void OnNavigatedTo(Windows::UI::Xaml::Navigation::NavigationEventArgs^ e) override;				
		void Button_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);
		void ScaleValueChanged(Platform::Object^ sender, Windows::UI::Xaml::Controls::SelectionChangedEventArgs ^ e);

	private:
		void SetCurrentPage(Windows::Data::Pdf::PdfPage^ pdfPage);
		void SetPageImageSize();
		void UpdatePageImage();
		void GoToPage(unsigned int index);

	private:
		Renderer^                               m_renderer;
		PageImageSource^                        m_spPageImageSource;

		Windows::Data::Pdf::PdfDocument^        m_pdfDoc;
		Windows::Data::Pdf::PdfPage^            m_pdfPage;
		unsigned int                            m_currentPageIndex;

	};
}
