﻿//
// MainPage.xaml.h
// Declaration of the MainPage class.
//

#pragma once

#include "MainPage.g.h"

namespace PdfAPISample
{
	[Windows::UI::Xaml::Data::Bindable]
	public ref class PdfPageAsImage sealed
	{
	public:
		PdfPageAsImage()
		{
		}

		property Windows::UI::Xaml::Media::Imaging::BitmapImage^ PdfPageImage
		{
			Windows::UI::Xaml::Media::Imaging::BitmapImage^ get()
			{
				return m_pdfPageImage;
			}

			void set(Windows::UI::Xaml::Media::Imaging::BitmapImage^ image)
			{
				m_pdfPageImage = image;
			}
		}

	private:
		Windows::UI::Xaml::Media::Imaging::BitmapImage^ m_pdfPageImage;
	};

	/// <summary>
	/// An empty page that can be used on its own or navigated to within a Frame.
	/// </summary>
	[Windows::UI::Xaml::Data::Bindable]
	public ref class MainPage sealed
	{
	public:
		MainPage();

		property Windows::Foundation::Collections::IVector<PdfPageAsImage^>^ ImageCollection
		{
			Windows::Foundation::Collections::IVector<PdfPageAsImage^>^ get()
			{
				return m_streamVec;
			}
		}


	protected:
		void Button_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ args);
		void OptionsButton_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ args);


	private:
		Windows::Foundation::Collections::IVector<PdfPageAsImage^>^ m_streamVec;
		Platform::String^											m_ImagefileName;


	};
}
